Skip to content

SymXGeneral⁠

Perform various operations for Symitar parameters.

Operations⁠

getSymXGeneralSelectFields⁠

POST

Execute the persistent ParameterService getSymXGeneralSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXGeneralInstanceIdintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXGeneralSelectFields
POST /nexum/627/persistent/parameter/getSymXGeneralSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SymXGeneralInstanceId": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllSymXGeneralFields": true,
    "SymXGeneralFields": {
      "CustomSpecfile": [
        0
      ],
      "FicsAppPassword": true,
      "FicsAppUserId": true,
      "FicsDataSourceName": true,
      "FicsDbPassword": true,
      "FicsDbUserId": true,
      "InstanceId": true,
      "NoticesPrinterType": true,
      "SpecfileLoadMethod": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSymXGeneralPagedListSelectFields⁠

POST

Execute the persistent ParameterService getSymXGeneralPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getSymXGeneralPagedListSelectFields
POST /nexum/627/persistent/parameter/getSymXGeneralPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSymXGeneralFields": true,
    "SymXGeneralFields": {
      "CustomSpecfile": [
        0
      ],
      "FicsAppPassword": true,
      "FicsAppUserId": true,
      "FicsDataSourceName": true,
      "FicsDbPassword": true,
      "FicsDbUserId": true,
      "InstanceId": true,
      "NoticesPrinterType": true,
      "SpecfileLoadMethod": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSymXGeneralPagedSelectFields⁠

POST

Execute the persistent ParameterService searchSymXGeneralPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchSymXGeneralPagedSelectFields
POST /nexum/627/persistent/parameter/searchSymXGeneralPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSymXGeneralFields": true,
    "SymXGeneralFields": {
      "CustomSpecfile": [
        0
      ],
      "FicsAppPassword": true,
      "FicsAppUserId": true,
      "FicsDataSourceName": true,
      "FicsDbPassword": true,
      "FicsDbUserId": true,
      "InstanceId": true,
      "NoticesPrinterType": true,
      "SpecfileLoadMethod": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateSymXGeneralByID⁠

POST

Execute the persistent ParameterService updateSymXGeneralByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXGeneralInstanceIdintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateSymXGeneralByID
POST /nexum/627/persistent/parameter/updateSymXGeneralByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SymXGeneralInstanceId": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SymXGeneralFields": {
    "CustomSpecfile": [
      {
        "EntryId": 0,
        "CustomSpecfile": "string"
      }
    ],
    "FicsAppPassword": "string",
    "FicsAppUserId": "string",
    "FicsDataSourceName": "string",
    "FicsDbPassword": "string",
    "FicsDbUserId": "string",
    "InstanceId": 0,
    "NoticesPrinterType": 0,
    "SpecfileLoadMethod": [
      {
        "EntryId": 0,
        "SpecfileLoadMethod": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}